Bug 1722851 - imsettings-daemon crashed in g_mutex_lock with X2Go and MATE
Summary: imsettings-daemon crashed in g_mutex_lock with X2Go and MATE
Keywords:
Status: CLOSED DUPLICATE of bug 1697211
Alias: None
Product: Fedora
Classification: Fedora
Component: imsettings
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-21 13:53 UTC by RobbieTheK
Modified: 2019-12-24 12:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-24 12:19:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1665761 None CLOSED [abrt] imsettings: g_mutex_lock(): imsettings-daemon killed by SIGSEGV 2019-09-29 20:04:21 UTC
Red Hat Bugzilla 1722862 None ON_QA [abrt] xfce4-panel: gdk_window_has_impl(): wrapper-2.0 killed by SIGSEGV 2019-09-29 20:04:21 UTC

Description RobbieTheK 2019-06-21 13:53:53 UTC
rpm -q x2goserver
x2goserver-4.1.0.4-0.0x2go1.0.git20190621.1766.heuler.fc30.x86_64

rpm -q imsettings
imsettings-1.8.1-1.fc30.x86_64

5.0.17-300.fc30.x86_64 

We also use NIS authetication.

Jun 21 09:33:26 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:26 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:26 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:26 ourworkstation journal[15099]: atk-bridge: GetRegisteredEvents returned message with unknown signature
Jun 21 09:33:26 ourworkstation journal[15099]: atk-bridge: get_device_events_reply: unknown signature
Jun 21 09:33:26 ourworkstation journal[15099]: atk-bridge: get_device_events_reply: unknown signature
Jun 21 09:33:26 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.gnome.evolution.dataserver.Sources5'
Jun 21 09:33:26 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:26 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:26 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:26 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.gnome.evolution.dataserver.Calendar7' requested by ':1.33' (uid=6105 pid=14844 comm="/usr/libexec/evolution-data-server/evolution-alarm")
Jun 21 09:33:27 ourworkstation systemd[1]: Started dbus-:1.9-org.mate.SettingsDaemon.DateTimeMechanism@4.service.
Jun 21 09:33:27 ourworkstation journal[15099]: Negative content width -7 (allocation 1, extents 4x4) while allocating gadget (node button, owner GtkToggleButton)
Jun 21 09:33:27 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.gnome.GConf' requested by ':1.53' (uid=6105 pid=15208 comm="/usr/libexec/pulse/gconf-helper ")
Jun 21 09:33:27 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.gnome.GConf'
Jun 21 09:33:27 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.gnome.evolution.dataserver.Calendar7'
Jun 21 09:33:27 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.gnome.evolution.dataserver.AddressBook9' requested by ':1.52' (uid=6105 pid=15172 comm="/usr/libexec/evolution-calendar-factory ")
Jun 21 09:33:28 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.gnome.evolution.dataserver.AddressBook9'
Jun 21 09:33:30 ourworkstation xdg-desktop-portal-kde[15100]: qt.qpa.xcb: X server does not support XInput 2
Jun 21 09:33:31 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:31 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:31 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:31 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.freedesktop.impl.portal.desktop.kde'
Jun 21 09:33:32 ourworkstation xdg-desktop-portal-kde[15100]: qt.qpa.xcb: QXcbConnection: XCB error: 1 (BadRequest), sequence: 167, resource id: 143, major code: 130 (Unknown), minor code: 47
Jun 21 09:33:32 ourworkstation journal[15100]: AT-SPI: Could not obtain desktop path or name
Jun 21 09:33:32 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:32 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:32 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:32 ourworkstation journal[15100]: atk-bridge: GetRegisteredEvents returned message with unknown signature
Jun 21 09:33:32 ourworkstation journal[15100]: atk-bridge: get_device_events_reply: unknown signature
Jun 21 09:33:32 ourworkstation journal[15100]: atk-bridge: get_device_events_reply: unknown signature
Jun 21 09:33:32 ourworkstation journal[14859]: Failed connect to PipeWire: Couldn't connect PipeWire remote
Jun 21 09:33:32 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.freedesktop.portal.Desktop'
Jun 21 09:33:32 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:32 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:32 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:33 ourworkstation caja[14768]: [N-A] Caja-Actions Menu Extender 1.8.3 initializing...
Jun 21 09:33:33 ourworkstation systemd[1]: Starting Package management dnf daemon...
Jun 21 09:33:33 ourworkstation caja[14768]: [N-A] Caja-Actions Tracker 1.8.3 initializing...
Jun 21 09:33:33 ourworkstation systemd[1]: Started Package management dnf daemon.
Jun 21 09:33:33 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:33 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:33 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:34 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:34 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:34 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:35 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.gtk.vfs.Metadata' requested by ':1.22' (uid=6105 pid=14768 comm="caja ")
Jun 21 09:33:35 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.gtk.vfs.Metadata'
Jun 21 09:33:38 ourworkstation systemd[1]: dnfdaemon.service: Succeeded.
Jun 21 09:33:39 ourworkstation com.redhat.imsettings[14681]: [ 1561124019.814453]: IMSettings-Daemon[14868]: INFO: Attempting to switch IM to IBus [lang=en_US.UTF-8, desktop=MATE, update=false]
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.093470]: GLib[14868]: DEBUG: posix_spawn avoided (fd close requested)
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.109461]: IMSettings-Daemon[14868]: WARNING **: Child process exited with code 1
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.110309]: IMSettings-Daemon[14868]: INFO:   no need to invoke any auxiliary process for IBus
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.111218]: IMSettings-Daemon[14868]: INFO:   Starting the main process for IBus [lang:en_US.UTF-8]
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.112049]: GLib[14868]: DEBUG: posix_spawn avoided (workdir specified) (fd close requested) (child_setup specified)
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.117844]: IMSettings-Daemon[14868]: INFO:   Started IBus: [process: /usr/bin/ibus-daemon -r --xim, lang: en_US.UTF-8, pid: 15549, id: 12, time: 2019-06-21T13:33:40.117800Z
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.119844]: IMSettings-MATE-GSettings backend[14868]: INFO: Setting up ibus:xim as gtk+ immodule
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.120816]: IMSettings-GSettings backend[14868]: INFO: Setting up ibus:xim as gtk+ immodule
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.319065]: IMSettings-Qt backend[14868]: INFO: Setting up ibus as Qt immodule
Jun 21 09:33:40 ourworkstation com.redhat.imsettings[14681]: [ 1561124020.324493]: IMSettings-XFCE backend[14868]: INFO: Setting up ibus:xim as gtk+ immodule
Jun 21 09:33:40 ourworkstation kernel: imsettings-daem[14868]: segfault at 40 ip 00007f876295cce9 sp 00007fff0c0379a8 error 6 in libglib-2.0.so.0.6000.4[7f87628dc000+82000]
Jun 21 09:33:40 ourworkstation kernel: Code: 00 5d e9 7a 29 fd ff 66 2e 0f 1f 84 00 00 00 00 00 48 8b 7f 30 e8 77 01 f8 ff eb d4 0f 1f 44 00 00 f3 0f 1e fa b8 01 00 00 00 <f0> 0f c1 07 85 c0 74 0f e9 da f6 ff ff 66 2e 0f 1f 84 00 00 00 00
Jun 21 09:33:40 ourworkstation systemd[1]: Started Process Core Dump (PID 15554/UID 0).
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.portal.IBus' requested by ':1.63' (uid=6105 pid=15549 comm="/usr/bin/ibus-daemon -r --xim ")
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:40 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:40 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Successfully activated service 'org.freedesktop.portal.IBus'
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:40 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:40 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activating service name='org.freedesktop.systemd1' requested by ':1.2' (uid=6105 pid=14692 comm="/usr/bin/dbus-broker-launch --config-file=/usr/sha")
Jun 21 09:33:40 ourworkstation dbus-daemon[14681]: [session uid=6105 pid=14679] Activated service 'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1 exited with status 1
Jun 21 09:33:40 ourworkstation dbus-broker-launch[14692]: Activation request for 'org.a11y.atspi.Registry' failed.
Jun 21 09:33:41 ourworkstation systemd-coredump[15556]: Process 14868 (imsettings-daem) of user 6105 dumped core.

Stack trace of thread 14868:
#0  0x00007f876295cce9 g_mutex_lock (libglib-2.0.so.0)
#1  0x00007f8761210ba5 n/a (libxfconf-0.so.3)
#2  0x00007f8762af4c0a n/a (libgio-2.0.so.0)
#3  0x00007f8762af4c4d n/a (libgio-2.0.so.0)
#4  0x00007f876290d7db n/a (libglib-2.0.so.0)
#5  0x00007f8762910edd g_main_context_dispatch (libglib-2.0.so.0)
#6  0x00007f8762911270 n/a (libglib-2.0.so.0)
#7  0x00007f87629115a3 g_main_loop_run (libglib-2.0.so.0)
#8  0x00005639b5009cc7 main (imsettings-daemon)
#9  0x00007f87626fbf33 __libc_start_main (libc.so.6)
#10 0x00005639b5009d4e _start (imsettings-daemon)

Stack trace of thread 14889:
#0  0x00007f87627c85c7 __poll (libc.so.6)
#1  0x00007f87629111de n/a (libglib-2.0.so.0)
#2  0x00007f8762911313 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007f8761252a9d n/a (libdconfsettings.so)
#4  0x00007f876293a4e2 n/a (libglib-2.0.so.0)
#5  0x00007f87628a65a2 start_thread (libpthread.so.0)
#6  0x00007f87627d3303 __clone (libc.so.6)

Stack trace of thread 14869:
#0  0x00007f87627c85c7 __poll (libc.so.6)
#1  0x00007f87629111de n/a (libglib-2.0.so.0)
#2  0x00007f8762911313 g_main_context_iteration (libglib-2.0.so.0)
#3  0x00007f8762911361 n/a (libglib-2.0.so.0)
#4  0x00007f876293a4e2 n/a (libglib-2.0.so.0)
#5  0x00007f87628a65a2 start_thread (libpthread.so.0)
#6  0x00007f87627d3303 __clone (libc.so.6)

Stack trace of thread 14870:
#0  0x00007f87627c85c7 __poll (libc.so.6)
#1  0x00007f87629111de n/a (libglib-2.0.so.0)
#2  0x00007f87629115a3 g_main_loop_run (libglib-2.0.so.0)
#3  0x00007f8762b5dd5a n/a (libgio-2.0.so.0)
#4  0x00007f876293a4e2 n/a (libglib-2.0.so.0)
#5  0x00007f87628a65a2 start_thread (libpthread.so.0)
#6  0x00007f87627d3303 __clone (libc.so.6)

Stack trace of thread 15552:
#0  0x00007f87627cdfad syscall (libc.so.6)
#1  0x00007f876295cf4e g_cond_wait_until (libglib-2.0.so.0)
#2  0x00007f87628e2031 n/a (libglib-2.0.so.0)
#3  0x00007f876293b06a n/a (libglib-2.0.so.0)
#4  0x00007f876293a4e2 n/a (libglib-2.0.so.0)
#5  0x00007f87628a65a2 start_thread (libpthread.so.0)
#6  0x00007f87627d3303 __clone (libc.so.6)
Jun 21 09:33:41 ourworkstation systemd[1]: systemd-coredump@6-15554-0.service: Succeeded.
Jun 21 09:33:43 ourworkstation abrt-server[15615]: Lock file '.lock' is locked by process 8649
Jun 21 09:33:44 ourworkstation abrt-notification[15659]: Process 14868 (imsettings-daemon) crashed in g_mutex_lock()
Jun 21 09:33:52 ourworkstation pulseaudio[14881]: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Jun 21 09:33:52 ourworkstation systemd[1]: systemd-hostnamed.service: Succeeded.
Jun 21 09:33:53 ourworkstation org.freedesktop.Tracker1[14681]: OK
Jun 21 09:33:57 ourworkstation systemd[1]: dbus-:1.9-org.mate.SettingsDaemon.DateTimeMechanism@4.service: Succeeded.
Jun 21 09:34:29 ourworkstation dbus-daemon[9812]: [session uid=1201 pid=9810] Activating service name='org.freedesktop.Tracker1' requested by ':1.33' (uid=1201 pid=9946 comm="/usr/libexec/tracker-miner-fs ")
Jun 21 09:34:29 ourworkstation dbus-daemon[9812]: [session uid=1201 pid=9810] Successfully activated service 'org.freedesktop.Tracker1'
Jun 21 09:34:29 ourworkstation dbus-daemon[9812]: [session uid=1201 pid=9810] Activating service name='org.freedesktop.thumbnails.Cache1' requested by ':1.33' (uid=1201 pid=9946 comm="/usr/libexec/tracker-miner-fs ")
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer /usr/bin/gnome-epub-thumbnailer -s %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer evince-thumbnailer -s %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer /usr/bin/gnome-mobi-thumbnailer -s %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer mate-thumbnail-font --size %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer gsf-office-thumbnailer -i %i -o %o -s %s
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer /usr/bin/totem-video-thumbnailer -s %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer atril-thumbnailer -s %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer gnome-thumbnail-font --size %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer /usr/bin/gdk-pixbuf-thumbnailer -s %s %u %o
Jun 21 09:34:30 ourworkstation org.freedesktop.thumbnails.Cache1[9812]: Registered thumbnailer /usr/bin/gdk-pixbuf-thumbnailer -s %s %u %o

gdb backtrace:

Core was generated by `/usr/libexec/imsettings-daemon'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f876295cce9 in g_mutex_lock (mutex=mutex@entry=0x40) at ../glib/gthread-posix.c:1354
1354    ../glib/gthread-posix.c: No such file or directory.
[Current thread is 1 (Thread 0x7f87622e7880 (LWP 14868))]
(gdb) bt full
#0  0x00007f876295cce9 in g_mutex_lock (mutex=mutex@entry=0x40) at ../glib/gthread-posix.c:1354
        _g_boolean_var_ = <optimized out>
#1  0x00007f8761210ba5 in xfconf_cache_set_property_reply_handler (proxy=0x5639b6ad6bb0 [GDBusProxy], res=0x5639b6aa68f0, user_data=user_data@entry=0x7f8754017c10) at xfconf-cache.c:608
        cache = 0x0
        old_item = 0x7f8754017c10
        item = <optimized out>
        error = 0x0
        result = <optimized out>
#2  0x00007f8762af4c0a in g_task_return_now (task=0x5639b6aa68f0 [GTask]) at ../gio/gtask.c:1209
#3  0x00007f8762af4c4d in complete_in_idle_cb (task=task@entry=0x5639b6aa68f0) at ../gio/gtask.c:1223
#4  0x00007f876290d7db in g_idle_dispatch (source=source@entry=0x5639b6aaa470, callback=0x7f8762af4c40 <complete_in_idle_cb>, user_data=0x5639b6aa68f0) at ../glib/gmain.c:5627
        again = <optimized out>
#5  0x00007f8762910edd in g_main_dispatch (context=0x5639b6a9ab00) at ../glib/gmain.c:3189
        dispatch = <optimized out>
        prev_source = 0x0
        was_in_call = <optimized out>
        user_data = 0x5639b6aa68f0
        callback = 0x7f8762af4c40 <complete_in_idle_cb>
        cb_funcs = 0x7f87629e3280 <g_source_callback_funcs>
        cb_data = 0x7f8754015880
        need_destroy = <optimized out>
        source = 0x5639b6aaa470
        current = 0x5639b6aa4680
        i = 0
        __FUNCTION__ = "g_main_dispatch"
#6  0x00007f8762910edd in g_main_context_dispatch (context=context@entry=0x5639b6a9ab00) at ../glib/gmain.c:3854
#7  0x00007f8762911270 in g_main_context_iterate (context=0x5639b6a9ab00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3927
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0x5639b6ae4750
#8  0x00007f87629115a3 in g_main_loop_run (loop=0x5639b6aa92c0) at ../glib/gmain.c:4123
        __FUNCTION__ = "g_main_loop_run"
#9  0x00005639b5009cc7 in main (argc=<optimized out>, argv=<optimized out>) at main.c:180
        err = 0x0
        arg_replace = 0
        arg_no_logfile = 0
        arg_xinputrcdir = 0x0
        arg_xinputdir = 0x0
        arg_homedir = 0x0
        arg_moduledir = 0x0
        loop = 0x5639b6aa92c0
        ctx = <optimized out>
        entries =
            {{long_name = 0x5639b50113b8 "replace", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff0c037ba0, description = 0x5639b5011240 "Replace the instance of the imsettings daemon.", arg_description = 0x0}, {long_name = 0x5639b5010993 "xinputrcdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff0c037bb0, description = 0x5639b5011270 "Set the system-wide xinputrc directory (for debugging purpose)", arg_description = 0x5639b50113c0 "DIR"}, {long_name = 0x5639b50109b0 "xinputdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff0c037bb8, description = 0x5639b50112b0 "Set the IM configuration directory (for debugging purpose)", arg_description = 0x5639b50113c0 "DIR"}, {long_name = 0x5639b5010978 "homedir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff0c037bc0, description = 0x5639b50112f0 "Set a home directory (for debugging purpose)", arg_description = 0x5639b50113c0 "DIR"}, {long_name = 0x5639b50109d6 "moduledir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff0c037bc8, description = 0x5639b5011320 "Set the imsettings module directory (for debugging purpose)", arg_description = 0x5639b50113c0 "DIR"}, {long_name = 0x5639b50113c4 "no-logfile", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff0c037ba4, description = 0x5639b50113cf "Do not create a log file.", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
        connection = 0x5639b6a9b060 [GDBusConnection]

Comment 1 Akira TAGOH 2019-12-24 12:19:57 UTC

*** This bug has been marked as a duplicate of bug 1697211 ***


Note You need to log in before you can comment on or make changes to this bug.